{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#generate_fscr_feats.cwl",
            "baseCommand": "generate_fscr_feats",
            "arguments": [
                "-nogenbank"
            ],
            "label": "generate_fscr_feats",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-excluded-seqs"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/excluded_seqs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/input"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-label-suffix"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/label_suffix"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/o"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-source"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/source"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    },
                    "id": "#generate_fscr_feats.cwl/generate_fscr_feats/feats"
                }
            ]
        },
        {
            "label": "gp_makeblastdb",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#gp_makeblastdb.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/asnb"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/asnt"
                },
                {
                    "type": "string",
                    "id": "#gp_makeblastdb.cwl/dbtype"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/fasta"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/hardmask"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/ids"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/molecules"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/softmask"
                },
                {
                    "type": "string",
                    "id": "#gp_makeblastdb.cwl/title"
                }
            ],
            "steps": [
                {
                    "run": {
                        "class": "CommandLineTool",
                        "requirements": [
                            {
                                "class": "InitialWorkDirRequirement",
                                "listing": [
                                    {
                                        "entry": "$(inputs.molecules)",
                                        "writable": false
                                    }
                                ]
                            }
                        ],
                        "baseCommand": "gp_makeblastdb",
                        "arguments": [
                            "-nogenbank"
                        ],
                        "inputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "Directory"
                                },
                                "inputBinding": {
                                    "prefix": "-asn-cache",
                                    "itemSeparator": ","
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/asn_cache"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-asnb"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/asnb"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-asnt"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/asnt"
                            },
                            {
                                "type": "string",
                                "inputBinding": {
                                    "prefix": "-dbtype"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/dbtype"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-fasta"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/fasta"
                            },
                            {
                                "type": "string",
                                "default": "found_ids.txt",
                                "inputBinding": {
                                    "prefix": "-found-ids-output"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/found_ids_output_file"
                            },
                            {
                                "type": "string",
                                "default": "found_ids.mft",
                                "inputBinding": {
                                    "prefix": "-found-ids-output-manifest"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/found_ids_output_manifest"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-hardmask"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/hardmask"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-ids"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/ids"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-lds2"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/lds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "id": "#gp_makeblastdb.cwl/actual/run/molecules"
                            },
                            {
                                "type": "string",
                                "default": "blastdb",
                                "inputBinding": {
                                    "prefix": "-db"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/output_db_file"
                            },
                            {
                                "type": "string",
                                "default": "blastdb.mft",
                                "inputBinding": {
                                    "prefix": "-output-manifest"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/output_db_manifest"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-softmask"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/softmask"
                            },
                            {
                                "type": "string",
                                "inputBinding": {
                                    "prefix": "-title"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/title"
                            }
                        ],
                        "outputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "outputBinding": {
                                    "glob": "blastdb.*"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/blastfiles"
                            },
                            {
                                "type": "string",
                                "outputBinding": {
                                    "outputEval": "$(inputs.output_db_file)"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/dbname"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.found_ids_output_file)"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/found_ids"
                            }
                        ]
                    },
                    "in": [
                        {
                            "source": "#gp_makeblastdb.cwl/asn_cache",
                            "id": "#gp_makeblastdb.cwl/actual/asn_cache"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/asnb",
                            "id": "#gp_makeblastdb.cwl/actual/asnb"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/asnt",
                            "id": "#gp_makeblastdb.cwl/actual/asnt"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/dbtype",
                            "id": "#gp_makeblastdb.cwl/actual/dbtype"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/fasta",
                            "id": "#gp_makeblastdb.cwl/actual/fasta"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/hardmask",
                            "id": "#gp_makeblastdb.cwl/actual/hardmask"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/ids",
                            "id": "#gp_makeblastdb.cwl/actual/ids"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/softmask",
                            "id": "#gp_makeblastdb.cwl/actual/softmask"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/title",
                            "id": "#gp_makeblastdb.cwl/actual/title"
                        }
                    ],
                    "out": [
                        "#gp_makeblastdb.cwl/actual/blastfiles"
                    ],
                    "id": "#gp_makeblastdb.cwl/actual"
                },
                {
                    "run": {
                        "class": "CommandLineTool",
                        "requirements": [
                            {
                                "class": "ShellCommandRequirement"
                            }
                        ],
                        "arguments": [
                            {
                                "shellQuote": false,
                                "valueFrom": "mkdir $(inputs.blastdir) && cp"
                            }
                        ],
                        "inputs": [
                            {
                                "type": "string",
                                "inputBinding": {
                                    "position": 2
                                },
                                "id": "#gp_makeblastdb.cwl/mkdir/run/blastdir"
                            },
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#gp_makeblastdb.cwl/mkdir/run/blastfiles"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "Directory",
                                "outputBinding": {
                                    "glob": "$(inputs.blastdir)"
                                },
                                "id": "#gp_makeblastdb.cwl/mkdir/run/blastdb"
                            }
                        ]
                    },
                    "in": [
                        {
                            "default": "blastdir",
                            "id": "#gp_makeblastdb.cwl/mkdir/blastdir"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/actual/blastfiles",
                            "id": "#gp_makeblastdb.cwl/mkdir/blastfiles"
                        }
                    ],
                    "out": [
                        "#gp_makeblastdb.cwl/mkdir/blastdb"
                    ],
                    "id": "#gp_makeblastdb.cwl/mkdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#gp_makeblastdb.cwl/mkdir/blastdb",
                    "id": "#gp_makeblastdb.cwl/blastdb"
                }
            ],
            "id": "#gp_makeblastdb.cwl"
        },
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "arguments": [
                "-produce-empty-file"
            ],
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "gpx_qsubmit",
            "doc": "This workflow is specialized for the case when there is an LDS2 input  LDS2 is a _reference_ object, the kind that CWL does not like we need to provide actual input: proteins which matches the name of ASN.1 object references in LDS2 Another limitation is that it can handle no more than two item arrays in blastdb_dir and asn_cache Workaround used so far: in:\n  proteins:\n    default:\n        class: File\n        path: '/dev/null'\n        basename: 'null'\n        contents: ''\n",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entryname": "ids.mft",
                            "entry": "${var blob = '# ids.mft created for gpx_qsubmit from input ids Array of Files\\n';for (var i = 0; i < inputs.ids.length; i++) {blob += inputs.ids[i].path  + '\\n';}return blob;}"
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-NxM-threshold"
                    },
                    "id": "#gpx_qsubmit.cwl/NxM_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "subject",
                    "inputBinding": {
                        "prefix": "-affinity"
                    },
                    "id": "#gpx_qsubmit.cwl/affinity"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-batch-size"
                    },
                    "id": "#gpx_qsubmit.cwl/batch_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-db",
                        "valueFrom": "${ var blob = ''; for (var i = 0; i < inputs.blastdb.length; i++) { blob += inputs.blastdb_dir.path + '/' + inputs.blastdb[i]; if(i != inputs.blastdb.length-1) blob += ','; } return blob; }"
                    },
                    "id": "#gpx_qsubmit.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#gpx_qsubmit.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#gpx_qsubmit.cwl/ids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ids.mft",
                    "inputBinding": {
                        "prefix": "-ids-manifest"
                    },
                    "id": "#gpx_qsubmit.cwl/ids_manifest"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#gpx_qsubmit.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-batch-length"
                    },
                    "id": "#gpx_qsubmit.cwl/max_batch_length"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#gpx_qsubmit.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gpx_qsubmit.cwl/output_xml_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-overlap"
                    },
                    "id": "#gpx_qsubmit.cwl/overlap"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gpx_qsubmit.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-queries-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl/queries_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-subjects-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl/subjects_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-subseq-size"
                    },
                    "id": "#gpx_qsubmit.cwl/subseq_size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-xml-jobs"
                    },
                    "id": "#gpx_qsubmit.cwl/xml_jobs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_xml_jobs)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "label": "prime_cache",
            "class": "CommandLineTool",
            "baseCommand": "prime_cache",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-biosource"
                    },
                    "id": "#prime_cache.cwl/biosource"
                },
                {
                    "type": "string",
                    "default": "sequence_cache",
                    "inputBinding": {
                        "prefix": "-cache"
                    },
                    "id": "#prime_cache.cwl/cache_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fasta",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#prime_cache.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#prime_cache.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-inst-mol"
                    },
                    "id": "#prime_cache.cwl/inst_mol"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-molinfo"
                    },
                    "id": "#prime_cache.cwl/molinfo"
                },
                {
                    "type": "string",
                    "default": "oseq-ids.seqids",
                    "inputBinding": {
                        "prefix": "-oseq-ids"
                    },
                    "id": "#prime_cache.cwl/seq_ids_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-submit-block-template"
                    },
                    "id": "#prime_cache.cwl/submit_block_template"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#prime_cache.cwl/taxid"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#prime_cache.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.cache_dir)"
                    },
                    "id": "#prime_cache.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.seq_ids_name)"
                    },
                    "id": "#prime_cache.cwl/oseq_ids"
                }
            ],
            "id": "#prime_cache.cwl"
        },
        {
            "class": "CommandLineTool",
            "id": "#univec_wnode.cwl",
            "baseCommand": "univec_wnode",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "doc": "Base path to files of output generated from processes",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "-O"
                    },
                    "id": "#univec_wnode.cwl/univec_wnode/O"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#univec_wnode.cwl/univec_wnode/asn_cache"
                },
                {
                    "type": "Directory",
                    "doc": "Hidden parameter, hidden within input_jobs:",
                    "id": "#univec_wnode.cwl/univec_wnode/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "-input-jobs"
                    },
                    "label": "input_jobs",
                    "doc": "XML file with input univec jobs, this parameter is _referential_ which CWL does not like.\n",
                    "id": "#univec_wnode.cwl/univec_wnode/input_jobs"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.O)"
                    },
                    "id": "#univec_wnode.cwl/univec_wnode/outdir"
                }
            ],
            "label": "univec_wnode"
        },
        {
            "class": "Workflow",
            "id": "#tt_univec_wnode.cwl",
            "doc": "univ_wnode",
            "label": "univec_wnode",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/asn_cache"
                },
                {
                    "type": "string",
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/blastdb_dir"
                },
                {
                    "type": "File",
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gilist"
                }
            ],
            "steps": [
                {
                    "run": "#generate_fscr_feats.cwl",
                    "label": "generate_fscr_feats",
                    "in": [
                        {
                            "source": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qdump/output",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/generate_fscr_feats/input"
                        },
                        {
                            "default": "Adaptor",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/generate_fscr_feats/label_suffix"
                        },
                        {
                            "default": "fscr_feats.asn",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/generate_fscr_feats/o"
                        },
                        {
                            "default": "vector",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/generate_fscr_feats/source"
                        }
                    ],
                    "out": [
                        "#tt_univec_wnode.cwl/tt_univec_wnode/generate_fscr_feats/feats"
                    ],
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/generate_fscr_feats"
                },
                {
                    "run": "#gpx_qdump.cwl",
                    "label": "gpx_qdump",
                    "in": [
                        {
                            "source": "#tt_univec_wnode.cwl/tt_univec_wnode/univec_wnode/outdir",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qdump/input_path"
                        },
                        {
                            "default": "*",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qdump/output"
                    ],
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qdump"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "label": "gpx_qsubmit",
                    "in": [
                        {
                            "source": [
                                "#tt_univec_wnode.cwl/tt_univec_wnode/asn_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": [
                                "#tt_univec_wnode.cwl/tt_univec_wnode/blastdb"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit/blastdb"
                        },
                        {
                            "source": "#tt_univec_wnode.cwl/tt_univec_wnode/blastdb_dir",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": [
                                "#tt_univec_wnode.cwl/tt_univec_wnode/gilist"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit/ids"
                        },
                        {
                            "default": {
                                "class": "File",
                                "path": "https://raw.githubusercontent.com/dev/null",
                                "basename": "null",
                                "contents": ""
                            },
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit/proteins"
                        }
                    ],
                    "out": [
                        "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit/jobs"
                    ],
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit"
                },
                {
                    "run": "#univec_wnode.cwl",
                    "label": "univec_wnode",
                    "in": [
                        {
                            "source": "#tt_univec_wnode.cwl/tt_univec_wnode/asn_cache",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/univec_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_univec_wnode.cwl/tt_univec_wnode/blastdb_dir",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/univec_wnode/blastdb_dir"
                        },
                        {
                            "source": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qsubmit/jobs",
                            "id": "#tt_univec_wnode.cwl/tt_univec_wnode/univec_wnode/input_jobs"
                        }
                    ],
                    "out": [
                        "#tt_univec_wnode.cwl/tt_univec_wnode/univec_wnode/outdir"
                    ],
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/univec_wnode"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_univec_wnode.cwl/tt_univec_wnode/generate_fscr_feats/feats",
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/feats"
                },
                {
                    "type": "File",
                    "outputSource": "#tt_univec_wnode.cwl/tt_univec_wnode/gpx_qdump/output",
                    "id": "#tt_univec_wnode.cwl/tt_univec_wnode/hits"
                }
            ]
        },
        {
            "class": "Workflow",
            "id": "#main",
            "label": "foreign_screening",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/adaptor_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/contig_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#tt_univec_wnode.cwl",
                    "label": "univec_wnode",
                    "in": [
                        {
                            "source": "#main/Cache_WGS_contig_FASTA/asn_cache",
                            "id": "#main/Align_To_Adaptor/asn_cache"
                        },
                        {
                            "default": "blastdb",
                            "id": "#main/Align_To_Adaptor/blastdb"
                        },
                        {
                            "source": "#main/Create_Adaptor_BLASTdb/blastdb",
                            "id": "#main/Align_To_Adaptor/blastdb_dir"
                        },
                        {
                            "source": "#main/Cache_WGS_contig_FASTA/oseq_ids",
                            "id": "#main/Align_To_Adaptor/gilist"
                        }
                    ],
                    "out": [
                        "#main/Align_To_Adaptor/feats",
                        "#main/Align_To_Adaptor/hits"
                    ],
                    "id": "#main/Align_To_Adaptor"
                },
                {
                    "run": "#prime_cache.cwl",
                    "label": "prime_cache",
                    "in": [
                        {
                            "source": "#main/contig_fasta",
                            "id": "#main/Cache_WGS_contig_FASTA/input"
                        }
                    ],
                    "out": [
                        "#main/Cache_WGS_contig_FASTA/asn_cache",
                        "#main/Cache_WGS_contig_FASTA/oseq_ids"
                    ],
                    "id": "#main/Cache_WGS_contig_FASTA"
                },
                {
                    "run": "#gp_makeblastdb.cwl",
                    "label": "gp_makeblastdb",
                    "in": [
                        {
                            "source": [
                                "#main/Cache_WGS_contig_FASTA/asn_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Create_Adaptor_BLASTdb/asn_cache"
                        },
                        {
                            "default": "nucl",
                            "id": "#main/Create_Adaptor_BLASTdb/dbtype"
                        },
                        {
                            "source": "#main/adaptor_fasta",
                            "id": "#main/Create_Adaptor_BLASTdb/fasta"
                        },
                        {
                            "default": "BLASTdb created by GPipe",
                            "id": "#main/Create_Adaptor_BLASTdb/title"
                        }
                    ],
                    "out": [
                        "#main/Create_Adaptor_BLASTdb/blastdb"
                    ],
                    "id": "#main/Create_Adaptor_BLASTdb"
                }
            ],
            "outputs": [
                {
                    "outputSource": "#main/Create_Adaptor_BLASTdb/blastdb",
                    "type": "Directory",
                    "id": "#main/adaptor_blastdb_dir"
                },
                {
                    "outputSource": "#main/Cache_WGS_contig_FASTA/oseq_ids",
                    "type": "File",
                    "id": "#main/contig_ids_out"
                },
                {
                    "outputSource": "#main/Align_To_Adaptor/feats",
                    "type": "File",
                    "id": "#main/feats"
                },
                {
                    "outputSource": "#main/Align_To_Adaptor/hits",
                    "type": "File",
                    "id": "#main/hits"
                },
                {
                    "outputSource": "#main/Cache_WGS_contig_FASTA/asn_cache",
                    "type": "Directory",
                    "id": "#main/out_cache_dir"
                }
            ]
        }
    ],
    "cwlVersion": "v1.2"
}
